
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following small cleanups:
- make two needlessly global functions static
- every file should #include the header files containing the prototypes 
  of it's global functions

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 lib/sort.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN lib/sort.c~lib-sortc-small-cleanups lib/sort.c
--- devel/lib/sort.c~lib-sortc-small-cleanups	2005-09-04 14:16:52.000000000 -0700
+++ devel-akpm/lib/sort.c	2005-09-04 14:16:52.000000000 -0700
@@ -6,15 +6,16 @@
 
 #include <linux/kernel.h>
 #include <linux/module.h>
+#include <linux/sort.h>
 
-void u32_swap(void *a, void *b, int size)
+static void u32_swap(void *a, void *b, int size)
 {
 	u32 t = *(u32 *)a;
 	*(u32 *)a = *(u32 *)b;
 	*(u32 *)b = t;
 }
 
-void generic_swap(void *a, void *b, int size)
+static void generic_swap(void *a, void *b, int size)
 {
 	char t;
 
_
